---
title: "Remove Channel Moderator"
slug: "remove-channel-moderator"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Channel Moderator

Post/api/v1/channels.removeModerator

Remove the `moderator` role from a user in a channel.

Permission required: `set-moderator`.

### Changelog

| Version | Description |
| --- | --- |
| 0.49.4 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='0f150dfc-7cac-46b5-85ab-2ed6a0199d97'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='3841b884-7803-4afe-8a25-77682c97a921'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX",
  "userId": "oCHkav5Zf6vmpu2W2"
}
```

object  roomIdstring    Required

The channel's id

userIdstring    Required

The user's id

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='9e530f2c-3a07-492d-a5c3-cef4a7d9188b'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f6070beb-e325-4372-92cc-3ad1aee61c42'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='1f7f45df-2d2f-46f0-b2c8-f91b4f2ef21d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='3c60b683-7304-42ac-ba86-f036ea0d7dfb'>User is not a moderator</option>
</select>User is not a moderator

```json
{
  "success": false,
  "error": "User is not a moderator [error-user-not-moderator]",
  "errorType": "error-user-not-moderator",
  "details": {
    "method": "removeRoomModerator"
  }
}
```

Expand Allobject  successboolean    
errorstring    
errorTypestring    
detailsobject  methodstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='22f66a4a-74a2-4a4a-bbce-464c4ec125d1'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e2a1f571-f0b7-41e4-93f7-c52f115f9721'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
